[package]
name = "hnrd-backend"
version = "0.1.0"
authors = ["void <v0id@riseup.net>"]
edition = "2018"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
futures = "0.3.1"
# web framework
actix-web = "2"
actix-rt = "1"
actix-cors = "0.2"
actix-files = "0.2.1"
# parseo
serde = { version = "1.0.93", features = ["derive"] }
serde_json = "1.0.39"
# configs
dotenv = "0.9.0"
# logging
env_logger = "0.5.10"
# fechas/tiempo
chrono = { version = "0.4", features = ["serde"] }
# ids random
nanoid = "0.2.0"
# subida de archivos
mime = "0.3.14"
actix-multipart = "0.2.0"
# base de datos
diesel_migrations = "1.4.0"
[dependencies.diesel]
features = ["postgres", "r2d2", "chrono"]
version = "1.4.0"
